Name:           PyMunin
Version:        0.9.4
Release:        2%{?dist}
Summary:        Python Module for developing Munin Multigraph Monitoring Plugins

License:        GPLv3+
URL:            http://aouyar.github.com/PyMunin
Source0:        http://pypi.python.org/packages/source/P/PyMunin/PyMunin-0.9.4.tar.gz
#md5=a16be151aa3a144f203f37896c824f7a

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       munin-node

%description
Python Module for developing Munin Multigraph Monitoring Plugins.

Regular Munin Plugins employ one-plugin one-graph logic and require the 
execution of a script for data retrieval for each graph. Multigraph plugins 
permit retrieval of data for multiple graphs in one execution run 
(one-plugin many-graphs), reducing the processing time and delay for the 
fetch cycle significantly.

%prep
%setup -q

# remove shebang from scripts
sed -i -e '/^#!.*\//, 1d' pymunin/plugins/*.py
sed -i -e '/^#!\//, 1d' pysysinfo/*.py


%build
%{__python} setup.py build


%install
# create munin-plugindir
%{__mkdir} -p %{buildroot}/%{_datarootdir}/munin/plugins

%{__python} setup.py install -O1 --skip-build --root %{buildroot} --prefix=/usr

# /usr/bin is created by setup.py. remove it, we don't need it. 
rm -r %{buildroot}/%{_bindir}
 
%files
%doc COPYING.txt
%{python_sitelib}/*
%{_datarootdir}/munin/plugins/*

%changelog
* Wed Feb 08 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-2
- use macros consistently

* Thu Feb 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
- fix for netstat-call from upstream

* Wed Feb 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.3-1 
- initial packaging
